commit:     6775c492313a4cdd64b4206ca5bad6f7c1c4136b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 15 14:55:26 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Aug 15 14:55:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6775c492

app-office/abiword: add 3.0.5

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-office/abiword/Manifest             |   1 +
 app-office/abiword/abiword-3.0.5.ebuild | 148 ++++++++++++++++++++++++++++++++
 2 files changed, 149 insertions(+)

diff --git a/app-office/abiword/Manifest b/app-office/abiword/Manifest
index e267a640a7d..d6ef336833e 100644
--- a/app-office/abiword/Manifest
+++ b/app-office/abiword/Manifest
@@ -1,2 +1,3 @@
 DIST abiword-3.0.4-patchset-r3.txz 14752 BLAKE2B 
2faaaf333a38ea181b83819fd53fd97c5e98a0cbb0b2ad6e668254a88cb69e922fd3b70a181fc7edd789bc313d929915460a0524ff463166400d8e46d878c034
 SHA512 
e8d2508cf561b49581441b3b581dd663a966da67175f2a39d4a95a6035d8c8c7c3198ca99f253f8d6f3993a66be752265f612b6c59c7712592e464a1da0f240e
 DIST abiword-3.0.4.tar.gz 11064305 BLAKE2B 
fda1732df0bf78f8830c5d68be18f2aec7f88b8d5bb4fe0effc31b48f03d9195a4337087154ba707a70d80bfcff38f92d7298e7b281afe2eacf000eca8dac9c4
 SHA512 
121708e010cef6722cab5622dc762f2f92c46e43b65b90b881b4f25ff32c1696fa2d281a3a6f2c04d5b9231bbbd0040281e9d4d7e594ec0ace6caae9c9021ec4
+DIST abiword-3.0.5.tar.gz 11084159 BLAKE2B 
c34361c2ae1604ef1ec913781c98f3707f3c98c3fb5ed5328212b51081706fe5177fb8b5a3805431c0ee451f04d8d95fdc6e7dbc3fc38d9d5037b576e115ee54
 SHA512 
a2484268901ff47307c9d1f1928622e364f1006f22ce38257c585144df9411dfe3c2dea28c1f1f50a6e545e8cc579cce34117a89dfa771e20312e3ea1a9989d6

diff --git a/app-office/abiword/abiword-3.0.5.ebuild 
b/app-office/abiword/abiword-3.0.5.ebuild
new file mode 100644
index 00000000000..66285130df9
--- /dev/null
+++ b/app-office/abiword/abiword-3.0.5.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg
+
+DESCRIPTION="Fully featured yet light and fast cross platform word processor"
+HOMEPAGE="http://www.abisource.com/";
+SRC_URI="
+       http://www.abisource.com/downloads/${PN}/${PV}/source/${P}.tar.gz
+       https://dev.gentoo.org/~soap/distfiles/${PN}-3.0.4-patchset-r3.txz";
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~x86 ~amd64-linux ~x86-linux"
+IUSE="calendar collab cups debug eds +goffice grammar +introspection latex map 
math ots +plugins readline redland spell wordperfect wmf thesaurus"
+# You need 'plugins' enabled if want to enable the extra plugins
+REQUIRED_USE="!plugins? ( !collab !grammar !latex !math !ots !readline 
!thesaurus !wordperfect !wmf )"
+
+RDEPEND="
+       >=app-text/wv-1.2
+       >=dev-libs/fribidi-0.10.4
+       >=dev-libs/glib-2.16:2
+       >=dev-libs/libgcrypt-1.4.5:0=
+       dev-libs/libxslt
+       >=gnome-base/librsvg-2.16:2
+       >=gnome-extra/libgsf-1.14.18:=
+       >=media-libs/libpng-1.2:0=
+       virtual/jpeg:0
+       >=x11-libs/cairo-1.10
+       >=x11-libs/gtk+-3.0.8:3[cups?]
+       calendar? ( >=dev-libs/libical-0.46:= )
+       eds? ( >=gnome-extra/evolution-data-server-3.6.0:= )
+       goffice? ( >=x11-libs/goffice-0.10.2:0.10 )
+       introspection? ( >=dev-libs/gobject-introspection-1.0.0:= )
+       map? ( >=media-libs/libchamplain-0.12:0.12 )
+       plugins? (
+               collab? (
+                       >=dev-libs/libxml2-2.4:2
+                       >=net-libs/loudmouth-1
+                       net-libs/libsoup:2.4
+                       net-libs/gnutls:=
+               )
+               grammar? ( >=dev-libs/link-grammar-4.2.1 )
+               math? ( >=x11-libs/gtkmathview-0.7.5 )
+               ots? ( >=app-text/ots-0.5-r1 )
+               readline? ( sys-libs/readline:0= )
+               thesaurus? ( >=app-text/aiksaurus-1.2[gtk] )
+               wordperfect? (
+                       app-text/libwpd:0.10
+                       app-text/libwpg:0.3
+               )
+               wmf? ( >=media-libs/libwmf-0.2.8 )
+       )
+       redland? (
+               >=dev-libs/redland-1.0.10
+               >=dev-libs/rasqal-0.9.17
+       )
+       spell? ( app-text/enchant:2 )
+       !<app-office/abiword-plugins-2.8"
+DEPEND="${RDEPEND}
+       dev-libs/boost
+       collab? ( dev-cpp/asio )"
+BDEPEND="
+       dev-lang/perl
+       virtual/pkgconfig"
+
+PATCHES=(
+       "${WORKDIR}"/patches/${PN}-2.6.0-boolean.patch
+       "${WORKDIR}"/patches/${PN}-2.8.3-desktop.patch
+       "${WORKDIR}"/patches/${PN}-3.0.0-librevenge.patch
+       "${WORKDIR}"/patches/${PN}-3.0.2-explicit-python.patch
+       "${WORKDIR}"/patches/${PN}-3.0.4-enchant-2.patch # backport
+       "${WORKDIR}"/patches/${PN}-3.0.4-pygobject.patch
+       "${WORKDIR}"/patches/${PN}-3.0.4-asio-standalone-placeholders.patch
+       
"${WORKDIR}"/patches/${PN}-3.0.4-c++17-dynamic-exception-specifications.patch
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local plugins=()
+
+       if use plugins; then
+               # Plugins depending on libgsf
+               plugins+=(t602 docbook clarisworks wml kword hancom openwriter 
pdf
+                       loadbindings mswrite garble pdb applix opendocument sdw 
xslfo)
+
+               # Plugins depending on librsvg
+               plugins+=(svg)
+
+               # Plugins not depending on anything
+               plugins+=(gimp bmp freetranslation iscii s5 babelfish opml eml 
wikipedia
+                       gdict passepartout google presentation urldict hrtext 
mif openxml)
+
+               # inter7eps: eps.h
+               # libtidy: gsf + tidy.h
+               # paint: windows only ?
+               use collab && plugins+=(collab)
+               use goffice && plugins+=(goffice)
+               use latex && plugins+=(latex)
+               use math && plugins+=(mathview)
+               use ots && plugins+=(ots)
+               # psion: >=psiconv-0.9.4
+               use readline && plugins+=(command)
+               use thesaurus && plugins+=(aiksaurus)
+               use wmf && plugins+=(wmf)
+               # wordperfect: >=wpd-0.9 >=wpg-0.2
+               use wordperfect && plugins+=(wpg)
+       fi
+
+       econf \
+               --disable-maintainer-mode \
+               --enable-plugins="${plugins[*]}" \
+               --disable-static \
+               --disable-default-plugins \
+               --disable-builtin-plugins \
+               --disable-collab-backend-telepathy \
+               --enable-clipart \
+               --enable-statusbar \
+               --enable-templates \
+               --with-gio \
+               --without-gnomevfs \
+               --without-gtk2 \
+               $(use_enable debug) \
+               $(use_with goffice goffice) \
+               $(use_with calendar libical) \
+               $(use_enable cups print) \
+               $(use_enable collab collab-backend-xmpp) \
+               $(use_enable collab collab-backend-tcp) \
+               $(use_enable collab collab-backend-service) \
+               $(use_with eds evolution-data-server) \
+               $(use_enable introspection) \
+               $(use_with map champlain) \
+               $(use_with redland) \
+               $(use_enable spell)
+}
+
+src_install() {
+       default
+
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to